%define upstream_name    Mail-GnuPG
%define upstream_version 0.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Summary:    Process email with GPG
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(GnuPG::Interface)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Module::Build)
BuildRequires: perl(MIME::Entity)
BuildRequires: perl(MIME::Parser)
BuildRequires: perl(Mail::Address)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: gnupg
BuildRequires: perl-MIME-tools
BuildArch:  noarch

%description
Use GnuPG::Interface to process or create PGP signed or encrypted email.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
export LC_ALL=C
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/Mail
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-2.mga6
+ Revision: 1029500
- Rebuild for perl 5.22.2

* Sat Apr 30 2016 shlomif <shlomif> 0.230.0-1.mga6
+ Revision: 1008021
- Add BR
- update to 0.23

* Fri Apr 15 2016 shlomif <shlomif> 0.220.0-1.mga6
+ Revision: 1002343
- Add missing BR
- update to 0.22

* Mon Feb 01 2016 umeabot <umeabot> 0.210.0-4.mga6
+ Revision: 930212
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-3.mga5
+ Revision: 744307
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-2.mga5
+ Revision: 685312
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 sander85 <sander85> 0.210.0-1.mga5
+ Revision: 668755
- update to 0.21

* Wed Jul 30 2014 sander85 <sander85> 0.200.0-1.mga5
+ Revision: 658141
- update to 0.20

* Sat Oct 19 2013 umeabot <umeabot> 0.190.0-2.mga4
+ Revision: 525862
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 0.190.0-1.mga4
+ Revision: 434770
- update to 0.19

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 369415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 0.180.0-1.mga3
+ Revision: 286326
- add a br on gnupg to query keys in unary test
- update to 0.18

* Mon Dec 12 2011 jquelin <jquelin> 0.170.0-1.mga2
+ Revision: 180872
- update to 0.17

* Mon Jan 24 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 37080
- mageia rebuild
- imported package perl-Mail-GnuPG


* Sun Dec 19 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.160.0-1mdv2011.0
+ Revision: 622946
- new version
- normalize perl version

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.15-5mdv2011.0
+ Revision: 440609
- rebuild

* Sun Jan 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-4mdv2009.1
+ Revision: 324509
- update to new version 0.15

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.10-1mdv2008.1
+ Revision: 140691
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 08 2007 Funda Wang <fwang@mandriva.org> 0.10-1mdv2008.0
+ Revision: 60480
- New version 0.10


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-6mdv2007.0
- Rebuild

* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.08-5mdk
- Fix According to perl Policy
	- BuildRequires
	- Source URL

* Mon Oct 17 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.08-4mdk
- Fix BuildRequires

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.08-3mdk
- fix BuildRequires

* Fri Aug 26 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-2mdk
- spec cleanup  
- better url
- make test in %%check

* Wed Aug 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.08-1mdk 
- first mdk release

